Bug 1458859 - python-fedora needs python2-openidc-client but does not require it
Summary: python-fedora needs python2-openidc-client but does not require it
Keywords:
Status: ON_QA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-fedora
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-05 16:41 UTC by Randy Barlow
Modified: 2017-06-21 08:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Randy Barlow 2017-06-05 16:41:00 UTC
Description of problem:
Bodhi doesn't use openidc-client (yet), but Bodhi does use python-fedora and Bodhi fails to work if openidc-client is not installed:

======================================================================
ERROR: bodhi.tests.server.test_utils.TestUtils.test_config
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/home/rbarlow/rpmbuild/BUILD/bodhi-2.7.0/bodhi/tests/server/test_utils.py", line 33, in test_config
    assert config.get('sqlalchemy.url'), config
  File "/home/rbarlow/rpmbuild/BUILD/bodhi-2.7.0/bodhi/server/config.py", line 51, in get
    self.load_config()
  File "/home/rbarlow/rpmbuild/BUILD/bodhi-2.7.0/bodhi/server/config.py", line 66, in load_config
    self.update(get_appsettings(configfile))
  File "/usr/lib/python2.7/site-packages/pyramid/paster.py", line 53, in get_appsettings
    global_conf=options)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 261, in appconfig
    global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 296, in loadcontext
    global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 320, in _loadconfig
    return loader.get_context(object_type, name, global_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 454, in get_context
    section)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 476, in _context_from_use
    object_type, name=use, global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 406, in get_context
    global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 296, in loadcontext
    global_conf=global_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 328, in _loadegg
    return loader.get_context(object_type, name, global_conf)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 620, in get_context
    object_type, name=name)
  File "/usr/lib/python2.7/site-packages/paste/deploy/loadwsgi.py", line 640, in find_egg_entry_point
    pkg_resources.require(self.spec)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 728, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 626, in resolve
    raise DistributionNotFound(req)
DistributionNotFound: openidc-client

I believe a Requires: python2-openidc-client in python-fedora will fix this issue.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2017-06-05 17:45:42 UTC
python-fedora-0.9.0-3.el7 bodhi-2.7.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f222435d5

Comment 2 Fedora Update System 2017-06-06 11:54:56 UTC
bodhi-2.7.0-1.el7, python-fedora-0.9.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f222435d5

Comment 3 Fedora Update System 2017-06-21 08:18:10 UTC
bodhi-2.7.0-1.el7, python-fedora-0.9.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.